# OpenLayers.Format.QueryStringFilter

Parser for reading a query string and creating a simple filter.

#### Inherits from

- OpenLayers.Format

Summary

OpenLayers.Format.QueryStringFilter | Parser for reading a query string and creating a simple filter.
Functions and Properties |
regex2value | Convert the value from a regular expression string to a LIKE/ILIKE string known to the web service.
wildcarded. | {Boolean} If true percent signs are added around values read from LIKE filters, for example if the protocol read method is passed a LIKE filter whose property is “foo” and whose value is “bar” the string “foo__ilike=%bar%” will be sent in the query string; defaults to false.
srsInBBOX | {Boolean} Include the SRS identifier in BBOX query string parameter.
write | Serialize an OpenLayers.Filter objects using the “simple” filter syntax for query string parameters.

### Functions and Properties

### regex2value

> function regex2value( | value | )

Convert the value from a regular expression string to a LIKE/ILIKE string known to the web service.

#### Parameters

value | {String} The regex string.

#### Returns

{String} The converted string.

### wildcarded.

{Boolean} If true percent signs are added around values read from LIKE filters, for example if the protocol read method is passed a LIKE filter whose property is “foo” and whose value is “bar” the string “foo__ilike=%bar%” will be sent in the query string; defaults to false.

### srsInBBOX

{Boolean} Include the SRS identifier in BBOX query string parameter. Default is false. If true and the layer has a projection object set, any BBOX filter will be serialized with a fifth item identifying the projection. E.g. bbox=-1000,-1000,1000,1000,EPSG:900913

### write

> write: function( | filter,
> | params | )

Serialize an OpenLayers.Filter objects using the “simple” filter syntax for query string parameters. This function must be called as a method of a protocol instance.

#### Parameters

filter | {OpenLayers.Filter} filter to convert.
params | {Object} The parameters object.

#### Returns

{Object} The resulting parameters object.

> function regex2value( | value | )

Convert the value from a regular expression string to a LIKE/ILIKE string known to the web service.

> write: function( | filter,
> | params | )

Serialize an OpenLayers.Filter objects using the “simple” filter syntax for query string parameters.
This class represents an OGC Filter.
Base class for format reading/writing a variety of formats.
Close